apiVersion: security.openshift.io/v1
kind: SecurityContextConstraints
metadata:
  name: "{{ platform.prefix }}-banzai-fluentbit"
allowPrivilegedContainer: true
allowPrivilegeEscalation: true
allowHostNetwork: true
allowHostDirVolumePlugin: true
allowHostIPC: true
priority:
allowHostPID: true
allowHostPorts: true
allowedCapabilities: []
allowHostPorts: true
allowHostPID: true
allowHostIPC: true
readOnlyRootFilesystem: false
requiredDropCapabilities: []
defaultAddCapabilities: []
runAsUser:
  type: RunAsAny
seLinuxContext:
  type: RunAsAny
sGroup:
  type: RunAsAny
supplementalGroups:
  type: RunAsAny
volumes:
  - configMap
  - downwardAPI
  - emptyDir
  - hostPath
  - persistentVolumeClaim
  - projected
  - secret
#allowedCapabilities:
#- '*'

#seccompProfiles:
#- '*'
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: "{{ platform.prefix }}-banzai-fluentbit-scc"
rules:
- apiGroups:
  - security.openshift.io
  resourceNames:
  - "{{ platform.prefix }}-banzai-fluentbit"
  resources:
  - securitycontextconstraints
  verbs:
  - use
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: logging-operator-logging-fluentbit
  namespace: "{{ config.logging_operator.namespace }}"
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: "{{ platform.prefix }}-banzai-fluentbit-scc"
subjects:
  - kind: ServiceAccount
    name: logging-operator-logging-fluentbit
    namespace: "{{ config.logging_operator.namespace }}"
